{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To create a new VPC NAT gateway, send a POST request to `/v2/vpc_nat_gateways` setting the required attributes.\n\nThe response body will contain a JSON object with a key called `vpc_nat_gateway` containing the standard attributes for the new VPC NAT gateway.\n","properties":{"body":{"$ref":"#/definitions/vpc_nat_gateway_create"}},"required":[],"additionalProperties":false,"definitions":{"vpc_nat_gateway_create":{"type":"object","properties":{"name":{"type":"string","description":"The human-readable name of the VPC NAT gateway.","examples":["my-vpc-nat-gateway"]},"type":{"type":"string","enum":["PUBLIC"],"description":"The type of the VPC NAT gateway.","examples":["PUBLIC"]},"region":{"type":"string","enum":["nyc1","nyc2","nyc3","ams2","ams3","sfo1","sfo2","sfo3","sgp1","lon1","fra1","tor1","blr1","syd1","atl1"],"description":"The region in which the VPC NAT gateway is created.","examples":["tor1"]},"size":{"type":"integer","description":"The size of the VPC NAT gateway.","examples":[1]},"vpcs":{"type":"array","items":{"type":"object","properties":{"vpc_uuid":{"type":"string","format":"uuid","description":"The unique identifier of the VPC to which the NAT gateway is attached.","examples":["0d3db13e-a604-4944-9827-7ec2642d32ac"]},"subnet_uuid":{"type":"string","format":"uuid","description":"The unique identifier of the VPC subnet to which the NAT gateway is attached.","examples":["cbd79771-23eb-49be-b5ea-59cc56222622"]},"default_gateway":{"type":"boolean","description":"The classification of the NAT gateway as the default egress route for the VPC traffic.","examples":[true]}},"required":["vpc_uuid"]},"description":"An array of VPCs associated with the VPC NAT gateway."},"udp_timeout_seconds":{"type":"integer","description":"The UDP timeout in seconds for the VPC NAT gateway.","examples":[30]},"icmp_timeout_seconds":{"type":"integer","description":"The ICMP timeout in seconds for the VPC NAT gateway.","examples":[30]},"tcp_timeout_seconds":{"type":"integer","description":"The TCP timeout in seconds for the VPC NAT gateway.","examples":[30]},"egresses":{"type":"object","description":"An optional object specifying the public egress IP address to assign to the VPC NAT gateway. Provide this only to use a specific address. If omitted, DigitalOcean allocates a public IP address automatically.","properties":{"public_gateways":{"type":"array","description":"An array containing a single public gateway object that sets the gateway's public egress IP address.","items":{"type":"object","description":"Specify the address using either `ip` or `ipv4`. Both fields accept the same value and `ip` takes precedence if both are provided. The assigned address is returned in the `ipv4` field of GET and list responses.","properties":{"ip":{"type":"string","description":"The public egress IP address to assign to the VPC NAT gateway, and the preferred field for setting it. Provide an unassigned Bring Your Own IP (BYOIP) address on your account in the same region to use your own IP address. This field is only applied when creating the gateway and cannot be changed afterward. The assigned address is returned as `ipv4` in GET and list responses.","examples":["203.0.113.42"]},"ipv4":{"type":"string","description":"An alternative to `ip` for setting the public egress IP address on create. Accepts the same value as `ip`, which takes precedence if both are provided. This field is only applied when creating the gateway and cannot be changed afterward.","examples":["203.0.113.42"]}}}}}}},"required":["name","type","region","size","vpcs"]}}},"name":"Create a New VPC NAT Gateway","id":"digitalocean.vpcnatgateways_create","example":{},"maxRequests":1,"summary":false}}